import "./globals.css";
import { Inter } from "next/font/google";
import { AppBar, InitialTransition } from "@/ui";
const inter = Inter({ subsets: ["latin"] });

export const metadata = {
  title: "Create Next App",
  description: "Generated by create next app",
};

export default function RootLayout({
  children,
}: {
  children: React.ReactNode;
}) {
  return (
    <html lang="en">
      <head>
        <meta charSet="utf-8" />
        <title>{metadata.title}</title>
        <meta name="description" content={metadata.description} />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <link rel="icon" href="/favicon.ico" />
        <link rel="preconnect" href="https://fonts.googleapis.com" />
        <link rel="preconnect" href="https://fonts.gstatic.com" />
        <link
          href="https://fonts.googleapis.com/css2?family=Caveat:wght@500&family=Fasthand&family=Playfair+Display:wght@500&family=Roboto:wght@300;400&display=swap"
          rel="stylesheet"
        />
      </head>
      <body className={inter.className}>
        <AppBar />
        <InitialTransition />
        {children}
      </body>
    </html>
  );
}
